SagePay and PHP 7.2

  • Posts: 14
  • Thank you received: 0
  • Hikashop Business
1 month 2 days ago #310045

-- HikaShop version -- : 4.2.1

Hi,

With PHP 7.2 the mcrypt extension will become deprecated, I'm aware that the SagePay plugin is now a paid for item, however it looks like my version is still using the mcrypt extension rather than OpenSSL. How can I update the plugin to use OpenSSL extension instead?

Thanks in advance

Please Log in or Create an account to join the conversation.

  • Posts: 23699
  • Thank you received: 3678
  • MODERATOR
1 month 2 days ago #310059

Hello,

The SagePay plugin is compatible with PHP 7.2 for about a year.
You should download the latest version to get the patch.

Regards,


Jerome - Obsidev.com
HikaMarket & HikaSerial developer / HikaShop core dev team.

Also helping the HikaShop support team when having some time or couldn't sleep.
By the way, do not send me private message, use the "contact us" form instead.

Please Log in or Create an account to join the conversation.

Time to create page: 0.053 seconds
Powered by Kunena Forum